@import '../variables.scss';

.wrapper {
	height: 100vh;
	background-color: $dark;

	.app-container {
		height: $container-height;
		position: relative;

		.fireworks {
			position: absolute;
			color: $white;
			top: 0;
			display: flex;
			width: 100%;
			height: 100%;
			z-index: 2;
			background-color: $fireworks-background;
			justify-content: center;
			align-items: center;

			.congrat {
				display: flex;
				flex-direction: column;
				gap: 1.5rem;
				text-align: center;

				.title {
					font-size: 2rem;
					font-weight: 800;
				}

				.message {
					font-size: 1.2rem;
					font-weight: 600;
				}
			}
		}

		.icon-table {
			padding: 0 16px;
			display: grid;
			grid-gap: 1rem;
			height: 90%;
		}

		.cards-16 {
			grid-template-rows: repeat(4, 1fr);
			grid-template-columns: repeat(4, 1fr);
		}

		.cards-64 {
			grid-template-rows: repeat(8, 1fr);
			grid-template-columns: repeat(8, 1fr);
		}
	}
}

@media (max-width: 540px) {
	.cards-8 {
		grid-template-rows: repeat(4, 1fr);
		grid-template-columns: repeat(2, 1fr);
	}

	.cards-32 {
		grid-template-rows: repeat(8, 1fr);
		grid-template-columns: repeat(4, 1fr);
	}
}

@media (min-width: 540.1px) {
	.cards-8 {
		grid-template-rows: repeat(2, 1fr);
		grid-template-columns: repeat(4, 1fr);
	}

	.cards-32 {
		grid-template-rows: repeat(4, 1fr);
		grid-template-columns: repeat(8, 1fr);
	}
}
